Summary: A memory pool system
Name: libtalloc
Version: 2.4.1
Release: 1%{?dist}
License: LGPLv3+
URL: https://talloc.samba.org/
Source0: https://www.samba.org/ftp/talloc/talloc-%{version}.tar.gz
BuildRequires: make gcc doxygen
BuildRequires: docbook-style-xsl libxslt
BuildRequires: python3-devel
Provides: bundled(libreplace)

%description
libtalloc is a hierarchical, reference counted memory pool system 
with destructors. It is the core memory allocator used in Samba.

%package devel
Summary: Developer tools for the Talloc library
Requires: libtalloc = %{version}-%{release}

%description devel
Hierarchical reference counting memory pool system with destructor.

%package -n python3-talloc
Summary: Python bindings for the Talloc library
Requires: libtalloc = %{version}-%{release}
Provides: python3-talloc = %{version}-%{release}

%description -n python3-talloc
Memory allocator based on hierarchical pool bound by python3.

%package -n python3-talloc-devel
Summary: Development libraries for python3-talloc
Requires: python3-talloc = %{version}-%{release}
Provides: python3-talloc-devel = %{version}-%{release}

%description -n python3-talloc-devel
A hierarchical pool based memory allocator with destructors. It 
uses reference counting to determine when memory should be freed.

%prep
%autosetup -n talloc-%{version} -p1

%build
export python_LDFLAGS=""

%configure \
    --disable-rpath \
    --disable-rpath-install \
    --bundled-libraries=NONE \
    --builtin-libraries=replace \
    --disable-silent-rules

%make_build
doxygen doxy.config

%check
%make_build check

%install
%make_install

cp -a doc/man/man3 %{buildroot}%{_mandir}

%files
%{_libdir}/libtalloc.so.*

%files devel
%{_includedir}/talloc.h
%{_libdir}/libtalloc.so
%{_libdir}/pkgconfig/talloc.pc
%{_mandir}/man3/talloc*.3*
%{_mandir}/man3/libtalloc*.3*

%files -n python3-talloc
%{_libdir}/libpytalloc-util.cpython*.so.*
%{python3_sitearch}/talloc.cpython*.so

%files -n python3-talloc-devel
%{_includedir}/pytalloc.h
%{_libdir}/pkgconfig/pytalloc-util.cpython-*.pc
%{_libdir}/libpytalloc-util.cpython*.so

%changelog
* Thu Jan 04 2024 Upgrade Robot <upbot@opencloudos.org> - 2.4.1-1
- Upgrade to version 2.4.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 Yi Lin <nilusyi@tencent.com> - 2.4.0-1
- upgrade to 2.4.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 18 2022 Wang Zhe <bessiewang@tencent.com> - 2.3.4-1
- initial build
